org.jboss.netty.handler.timeout

## Interface IdleStateEvent

All Superinterfaces:
  ChannelEvent

All Known Implementing Classes:
  DefaultIdleStateEvent

    public interface IdleStateEvent
    extends ChannelEvent

A `ChannelEvent` that is triggered when a `Channel` has been idle for a while.

### Method Summary

Methods
`long` `getLastActivityTimeMillis()` Returns the last time when I/O occurred in milliseconds.
`IdleState` `getState()` Returns the detailed idle state.

### Methods inherited from interface org.jboss.netty.channel.ChannelEvent

`getChannel, getFuture`

### Method Detail

#### getState

    IdleState getState()

Returns the detailed idle state.

#### getLastActivityTimeMillis

    long getLastActivityTimeMillis()

Returns the last time when I/O occurred in milliseconds.